Subject: bug#21620: tests/mpz/reuse intermittently fails on armhf-linux-gnu

From: Andreas Enge <[email-masked]>
Date: Thu, 8 Oct 2015 21:07:54 +0200

On Wed, Oct 07, 2015 at 10:32:43PM +0200, Ludovic Courtès wrote:
> Do you think it’s a likely problem?  Andreas, could you try again on
> your Novena with 2 cores turned off?

I have trouble believing the explanation of overheating. The gmp test
suite is carried out sequentially (they are not yet using the parallel
test harness of the autotools). So one could only imagine that the build
itself was faulty, but should then the test not fail consistently afterwards?
If I understood correctly, you used one build and ran the same test
over and over again. On the other hand, since the machine also serves as a
build machine, it is possible that some other package was built at the same
time as the tests were carried out, which may have contributed to heating.

I suggest to wait until the current build frenzy has stopped with the
merge of core-updates, and then to test by hand outside guix with only
one or two cores.

Andreas